<?php
$podcast_guru_options = podcast_guru_theme_options();

$banner_title = $podcast_guru_options['banner_title'];
$banner_desc = $podcast_guru_options['banner_desc'];
$banner_bg_image = $podcast_guru_options['banner_bg_image'];
$spotify_button_url = $podcast_guru_options['spotify_button_url'];
$itunes_button_url = $podcast_guru_options['itunes_button_url'];
$deezer_button_url = $podcast_guru_options['deezer_button_url'];
$apple_podcast_button_url = $podcast_guru_options['apple_podcast_button_url'];
$tunein_button_url = $podcast_guru_options['tunein_button_url'];
$pocketcasts_button_url = $podcast_guru_options['pocketcasts_button_url'];




$single_button = $podcast_guru_options['single_button'];
$single_button_url = $podcast_guru_options['single_button_url'];
if(!empty($banner_bg_image)){
    $background_style = "style='background-image:url(".esc_url($banner_bg_image).")'";
}
else{
    $background_style = '';
}

?>


<div class="hero-section">
     <div class="image" data-type="background" data-speed="2"  <?php echo wp_kses_post($background_style); ?>></div>
    <div class="stuff" data-type="content">
        <h1><?php echo esc_html($banner_title); ?></h1>
		<span><?php echo esc_html($banner_desc); ?></span>
		<div class="btn-wrap">
        <?php  if( $single_button && $single_button_url):?>
        <a href="<?php echo esc_url($single_button_url); ?>" class="btn btn-default"><?php echo esc_html($single_button); ?></a>
        <?php endif; ?>
		</div>
    </div>

</div>
</div>



<div class="below-banner header-social">

<span><?php esc_html__('Listen to us on','podcast-guru'); ?></span>
<?php 

if($spotify_button_url) 
echo '<div class="social-icon ft-spotify"><a href="'.esc_url($spotify_button_url).'"><i class="fa-brands fa-spotify"></i><span>'.esc_html__('Spotify', 'podcast-guru').'</span></a></div>';

if($itunes_button_url) 
echo '<div class="social-icon ft-itunes"><a href="'.esc_url($itunes_button_url).'"><i class="fa-brands fa-apple"></i><span>'.esc_html__("iTunes", "podcast-guru").'</span></a></div>';

if($deezer_button_url) 
echo '<div class="social-icon ft-deezer"><a href="'.esc_url($deezer_button_url).'"><i class="fa-brands fa-deezer"></i><span>'.esc_html__("Deezer", "podcast-guru").'</span></a></div>';

if($apple_podcast_button_url) 
echo '<div class="social-icon ft-apple-podcast"><a href="'.esc_url($apple_podcast_button_url).'"><i class="fa-solid fa-podcast"></i><span>'.esc_html__("Apple Podcasts", "podcast-guru").'</span></a></div>';

if($tunein_button_url) 
echo '<div class="social-icon ft-tunein"><a href="'.esc_url($tunein_button_url).'"><svg width="24px" height="22px" viewBox="0 0 24 24" role="img" xmlns="
http://www.w3.org/2000/svg"><title>TuneIn
icon</title><path d="M7.66 11.395v.742c0 .105-.11.105-.11.105h-.847s-.11 0-.11.11v4.03c0 .11-.105.11-.105.11h-.855c-.106 0-.106-.11-.106-.11v-4.03s0-.11-.109-.11h-.844c-.105 0-.105-.105-.105-.105v-.742c0-.106.105-.106.105-.106H7.66v.106m15.458-7.52H12.301c-.68 0-.836.16-.836.816v2.414c0 .493 0 .493-.492.493H.813c-.676 0-.813.136-.813.824v5.41c0 1.754 0 3.508.023 5.266 0 .922.102 1.02 1.04 1.02H9.89c.664 0 1.32.01 1.984-.009.48-.007.669-.203.669-.683v-2.559c0-.469 0-.469.469-.469h10.195c.633 0
 .793-.152.793-.78V4.733c0-.699-.164-.859-.883-.859zM11.478 18.5c0 .5-.013.5-.525.5-3.148 0-6.293 0-9.445.008-.32 0-.43-.078-.43-.418.016-3.16.008-6.324 0-9.48-.008-.34.086-.446.442-.446 3.187.012 6.363.008 9.55.008.117 0 .23.015.4.023 0 .18 0 .32.01.442-.003 3.113-.003 6.242-.003 9.363zm7.69-5.844c0 .102-.104.102-.104.102h-2.57c-.106 0-.106-.102-.106-.102v-.719c0-.101.105-.101.105-.101h.617s.102 0 .102-.102V8.656s0-.101-.102-.101h-.515c-.102 0-.102-.102-.102-.102v-.82c0-.106.102-.106.102-.106h2.367c.102 0
  .102.106.102.106v.715c0 .105-.102.105-.102.105h-.516s-.101 0-.101.102v3.074s0 
.105.1.105h.618c.106 0 .106.102.106.102zm0 0"/></svg><span  style="margin-left:4px;">'.esc_html__("Tunein", "podcast-guru").'</span></a></div>';

if($pocketcasts_button_url) 
echo '<div class="social-icon"><a href="'.esc_url($pocketcasts_button_url).'"><svg width="20px" height="20px" viewBox="0 0 24 24" role="img" xmlns="
http://www.w3.org/2000/svg"><title>Pocket
Casts icon</title><path d="M12,0C5.372,0,0,5.372,0,12c0,6.628,5.372,12,12,12c6.628,0,12-5.372,12-12 C24,5.372,18.628,0,12,0z M15.564,12c0-1.968-1.596-3.564-3.564-3.564c-1.968,0-3.564,1.595-3.564,3.564 c0,1.968,1.595,3.564,3.564,3.564V17.6c-3.093,0-5.6-2.507-5.6-5.6c0-3.093,2.507-5.6,5.6-5.6c3.093,0,5.6,2.507,5.6,5.6H15.564z M19,12c0-3.866-3.134-7-7-7c-3.866,0-7,3.134-7,7c0,3.866,3.134,7,7,7v2.333c-5.155,0-9.333-4.179-9.333-9.333 c0-5.155,4.179-9.333,9.333-9.333c5.155,0,9.333,4.179,9.333,9.333H19z"/></svg><span  style="margin-left:4px;">'.esc_html__("Pocket Casts", "podcast-guru").'</span></a></div>';
?>

</div>

